<!DOCTYPE html>

<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Task 68</title>

    <!-- Google Font: Source Sans Pro -->
    <link rel="stylesheet"
        href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
    <!-- Font Awesome Icons -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
</head>

<body class="hold-transition sidebar-mini">

    <div class="wrapper">
        <!-- Navbar -->
        <nav class="main-header navbar navbar-expand navbar-white navbar-light">
            <!-- Left navbar links -->
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
                </li>
                <li class="nav-item d-none d-sm-inline-block">
                    <a href="#" class="nav-link">Home</a>
                </li>
            </ul>
        </nav>
        <!-- /.navbar -->
        <!-- Main Sidebar Container -->
        <aside class="main-sidebar sidebar-dark-primary elevation-4">
            <!-- Brand Logo -->
            <a href="#" class="brand-link">
                <img src="dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3"
                    style="opacity: .8">
                <span class="brand-text font-weight-light">Devcamp 120</span>
            </a>

            <!-- Sidebar -->
            <div class="sidebar">
                <!-- Sidebar user panel (optional) -->
                <div class="user-panel mt-3 pb-3 mb-3 d-flex">
                    <div class="image">
                        <img src="dist/img/user2-160x160.jpg" class="img-circle elevation-2" alt="User Image">
                    </div>
                    <div class="info">
                        <a href="#" class="d-block">Hồ Bá TRường</a>
                    </div>
                </div>


                <!-- Sidebar Menu -->
                <nav class="mt-2">
                    <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu"
                        data-accordion="false">
                        <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
                        <li class="nav-item menu-open">
                            <a href="phongban.html" class="nav-link">
                                <i class="nav-icon fas fa-tachometer-alt"></i>
                                <p>
                                    Quay về Phòng Ban
                                    <i class="right fas fa-angle-left"></i>
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="nhanvien.html" class="nav-link active">
                                <i class="far fa-circle nav-icon"></i>
                                <p>
                                    Nhân viên list
                                </p>
                            </a>
                        </li>
                    </ul>
                </nav>
                <!-- /.sidebar-menu -->
            </div>
            <!-- /.sidebar -->
        </aside>
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <div class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6">
                            <h2>DANH SÁCH NHÂN VIÊN</h2>
                        </div><!-- /.col -->
                        <div class="col-sm-6">
                            <ol class="breadcrumb float-sm-right">
                                <li class="breadcrumb-item"><a href="#">Home</a></li>
                                <li class="breadcrumb-item active">Nhân viên list</li>
                            </ol>
                        </div><!-- /.col -->
                    </div><!-- /.row -->
                </div><!-- /.container-fluid -->
            </div>
            <!-- /.content-header -->

            <!-- Main content -->
            <div class="content">
                <div class="container-fluid">
                    <div class="row">
                        <button class="btn btn-primary" id="btn-create"><i class="fa-solid fa-plus"></i> &nbsp; Create
                            Nhân viên</button>
                        <div class="col-12">
                            <table class="table table-bnhanviened table-striped table-hover" id="nhanvien-table">
                                <thead>
                                    <tr>
                                        <th>ID</th>
                                        <th>Mã Nhân Viên</th>
                                        <th>Tên Nhân Viên</th>
                                        <th>Chức vụ</th>
                                        <th>Giới tính</th>
                                        <th>Ngày sinh</th>
                                        <th>Địa chỉ</th>
                                        <th>Số điện thoại</th>
                                        <th>Action</th>
                                    </tr>
                            </table>
                            <!-- Vùng Modal -->
                            <!-- Create nhanvien modal -->
                            <div>
                                <div id="create-nhanvien-modal" class="modal fade" tabindex="-1">
                                    <div class="modal-dialog">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="h5-modal-title">Create Nhân viên
                                                </h5>
                                                <button class="close" data-dismiss="modal">&times;</button>
                                            </div>
                                            <div class="modal-body">
                                                <form>
                                                    <div class="row form-group">
                                                        <div class="col-sm-3">
                                                            <label>Mã Nhân viên</label>
                                                        </div>
                                                        <div class="col-sm-9">
                                                            <input type="text" id="input-create-maNhanVien"
                                                                class="form-control">
                                                        </div>
                                                    </div>
                                                    <div class="row form-group">
                                                        <div class="col-sm-3">
                                                            <label>Tên Nhân Viên</label>
                                                        </div>
                                                        <div class="col-sm-9">
                                                            <input type="text" id="input-create-tenNhanVien"
                                                                class="form-control">
                                                        </div>
                                                    </div>
                                                    <div class="row form-group">
                                                        <div class="col-sm-3">
                                                            <label>Chức vụ</label>
                                                        </div>
                                                        <div class="col-sm-9">
                                                            <input type="text" id="input-create-chucVu"
                                                                class="form-control">
                                                        </div>
                                                    </div>
                                                    <div class="row form-group">
                                                        <div class="col-sm-3">
                                                            <label>Giới tính</label>
                                                        </div>
                                                        <div class="col-sm-9">
                                                            <input type="text" id="input-create-gioiTinh"
                                                                class="form-control">
                                                        </div>
                                                    </div>
                                                    <div class="row form-group">
                                                        <div class="col-sm-3">
                                                            <label>Ngày sinh</label>
                                                        </div>
                                                        <div class="col-sm-9">
                                                            <input type="text" id="input-create-ngaySinh"
                                                                class="form-control">
                                                        </div>
                                                    </div>
                                                    <div class="row form-group">
                                                        <div class="col-sm-3">
                                                            <label>Địa chỉ</label>
                                                        </div>
                                                        <div class="col-sm-9">
                                                            <input type="text" id="input-create-diachi"
                                                                class="form-control">
                                                        </div>
                                                    </div>
                                                    <div class="row form-group">
                                                        <div class="col-sm-3">
                                                            <label>Số điện thoại</label>
                                                        </div>
                                                        <div class="col-sm-9">
                                                            <input type="text" id="input-create-soDienThoaiLienHe"
                                                                class="form-control">
                                                        </div>
                                                    </div>
                                                </form>
                                            </div>
                                            <div class="modal-footer">
                                                <button class="btn btn-secondary" id="btn-create-cancel"
                                                    data-dismiss="modal">Cancel</button>
                                                <button class="btn btn-primary" id="btn-create-nhanvien">Create
                                                    Nhân Viên</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <!-- Update nhanvien modal -->
                            <div>
                                <div id="update-nhanvien-modal" class="modal fade" tabindex="-1">
                                    <div class="modal-dialog">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="h5-modal-title">Update Trạng Thái Nhân vien
                                                </h5>
                                                <button class="close" data-dismiss="modal">&times;</button>
                                            </div>
                                            <div class="modal-body">
                                                <form>
                                                    <div class="row form-group">
                                                        <div class="col-sm-3">
                                                            <label>Mã Nhân viên</label>
                                                        </div>
                                                        <div class="col-sm-9">
                                                            <input type="text" id="input-update-maNhanVien"
                                                                class="form-control">
                                                        </div>
                                                    </div>
                                                    <div class="row form-group">
                                                        <div class="col-sm-3">
                                                            <label>Tên Nhân Viên</label>
                                                        </div>
                                                        <div class="col-sm-9">
                                                            <input type="text" id="input-update-tenNhanVien"
                                                                class="form-control">
                                                        </div>
                                                    </div>
                                                    <div class="row form-group">
                                                        <div class="col-sm-3">
                                                            <label>Chức vụ</label>
                                                        </div>
                                                        <div class="col-sm-9">
                                                            <input type="text" id="input-update-chucVu"
                                                                class="form-control">
                                                        </div>
                                                    </div>
                                                    <div class="row form-group">
                                                        <div class="col-sm-3">
                                                            <label>Giới tính</label>
                                                        </div>
                                                        <div class="col-sm-9">
                                                            <input type="text" id="input-update-gioiTinh"
                                                                class="form-control">
                                                        </div>
                                                    </div>
                                                    <div class="row form-group">
                                                        <div class="col-sm-3">
                                                            <label>Ngày sinh</label>
                                                        </div>
                                                        <div class="col-sm-9">
                                                            <input type="text" id="input-update-ngaySinh"
                                                                class="form-control">
                                                        </div>
                                                    </div>
                                                    <div class="row form-group">
                                                        <div class="col-sm-3">
                                                            <label>Địa chỉ</label>
                                                        </div>
                                                        <div class="col-sm-9">
                                                            <input type="text" id="input-update-diachi"
                                                                class="form-control">
                                                        </div>
                                                    </div>
                                                    <div class="row form-group">
                                                        <div class="col-sm-3">
                                                            <label>Số điện thoại</label>
                                                        </div>
                                                        <div class="col-sm-9">
                                                            <input type="text" id="input-update-soDienThoaiLienHe"
                                                                class="form-control">
                                                        </div>
                                                    </div>
                                                </form>
                                            </div>
                                            <div class="modal-footer">
                                                <button class="btn btn-secondary" id="btn-update-cancel"
                                                    data-dismiss="modal">Cancel</button>
                                                <button class="btn btn-primary" id="btn-update-nhanvien">Update Trạng
                                                    Thái</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <!-- Delete confirm modal -->
                            <div>
                                <div class="modal fade" tabindex="-1" id="delete-confirm-modal">
                                    <div class="modal-dialog">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="h5-modal-title">Nhân viên Delete Confirmation
                                                </h5>
                                                <button class="close" data-dismiss="modal">&times;</button>
                                            </div>
                                            <div class="modal-body">
                                                <label>Bạn có chắc chắn muốn xóa Nhân viên này không?</label>
                                            </div>
                                            <div class="modal-footer">
                                                <button class="btn btn-danger"
                                                    id="btn-confirm-delete-nhanvien">Confirm</button>
                                                <button class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <!-- nhanvien Detail modal -->
                            <div>

                            </div>
                        </div>
                    </div>
                    <!-- /.row -->
                </div><!-- /.container-fluid -->
            </div>
            <!-- /.content -->
        </div>
        <!-- Main Footer -->
        <footer class="main-footer">
            <!-- To the right -->
            <div class="float-right d-none d-sm-inline">
                DANH SÁCH ĐƠN HÀNG
            </div>
            <!-- Default to the left -->
            <strong>Copyright &copy; 2023 Devcamp 120.</strong> All rights
            reserved.
        </footer>
    </div>
    <!-- jQuery -->
    <script src="plugins/jquery/jquery.min.js"></script>
    <!-- Bootstrap 4 -->
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
    <!-- AdminLTE App -->
    <script src="dist/js/adminlte.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
    <script>
        "use strict";
        $(document).ready(function () {
            /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
            const gBASE_URL = "http://localhost:8080/nhanvien/";

            const gCOLUMN_ID = 0;
            const gCOLUMN_MA_NHANVIEN = 1;
            const gCOLUMN_TEN_NHANVIEN = 2;
            const gCOLUMN_CHUC_VU = 3;
            const gCOLUMN_GIOI_TINH = 4;
            const gCOLUMN_NGAY_SINH = 5;
            const gCOLUMN_DIA_CHI = 6;
            const gCOLUMN_PHONE = 7;
            const gCOLUMN_ACTION = 8;

            const gCOLUMN = ["id", "maNhanVien", "tenNhanVien", "chucVu", "gioiTinh", "ngaySinh", "diachi", "soDienThoaiLienHe", "action"];

            var gnhanvien_code = {
                id: "",
            }
            // định nghĩa table  - chưa có data
            var gnhanvienTable = $("#nhanvien-table").DataTable({
                // Khai báo các cột của datatable
                "columns": [
                    { "data": gCOLUMN[gCOLUMN_ID] },
                    { "data": gCOLUMN[gCOLUMN_MA_NHANVIEN] },
                    { "data": gCOLUMN[gCOLUMN_TEN_NHANVIEN] },
                    { "data": gCOLUMN[gCOLUMN_CHUC_VU] },
                    { "data": gCOLUMN[gCOLUMN_GIOI_TINH] },
                    { "data": gCOLUMN[gCOLUMN_NGAY_SINH] },
                    { "data": gCOLUMN[gCOLUMN_DIA_CHI] },
                    { "data": gCOLUMN[gCOLUMN_PHONE] },
                    { "data": gCOLUMN[gCOLUMN_ACTION] }
                ],
                // Ghi đè nội dung của cột action, chuyển thành button chi tiết
                "columnDefs": [
                    {
                        "targets": gCOLUMN_ACTION,
                        "defaultContent": '<i class="fas fa-pen text-info edit-nhanvien"></i> &nbsp &nbsp &nbsp <i class="fas fa-trash text-danger delete-nhanvien"></i>'
                    }]
            });

            /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
            onPageLoading();
            $("#btn-create").on("click", function () {
                $("#create-nhanvien-modal").modal("show");
            });
            $("#btn-create-nhanvien").on("click", function () {
                onCreatenhanvien();
            });
            $("#nhanvien-table").on("click", ".edit-nhanvien", function () {
                onButtonChiTietClick(this); // this là button được ấn
            });
            // khi ấn nút sự kiện update trên modal
            $("#btn-update-nhanvien").on("click", function () {
                onBtnUpdateClick();
            });
            // khi ấn sự kiện delete
            $("#nhanvien-table").on("click", ".delete-nhanvien", function () {
                onBtnDeleteConfirmnhanvienClick(this);
            });
            // gán sự kiện cho nút Delete  (trên modal)
            $("#btn-confirm-delete-nhanvien").on("click", function () {
                onBtnDeletenhanvienClick();
            });
            /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
            // Hàm sự kiện thêm nhanvien
            function onCreatenhanvien() {
                // khai báo dữ liệu
                var vnhanvienObj = {
                    maNhanVien: "",
                    tenNhanVien: "",
                    chucVu: "",
                    gioiTinh: "",
                    ngaySinh: "",
                    diachi: "",
                    soDienThoaiLienHe: ""
                }
                // thu thập thông tin 
                getCreateData(vnhanvienObj);
                // validate
                if (kiemtraCreateData(vnhanvienObj)) {
                    // Tạo mới nhanvien
                    createNhanvien(vnhanvienObj);
                }
            }
            // hàm thu thập thông tin để create nhanvien
            function getCreateData(paramObj) {
                paramObj.maNhanVien = $("#input-create-maNhanVien").val();
                paramObj.tenNhanVien = $("#input-create-tenNhanVien").val();
                paramObj.chucVu = $("#input-create-chucVu").val();
                paramObj.gioiTinh = $("#input-create-gioiTinh").val();
                paramObj.ngaySinh = $("#input-create-ngaySinh").val();
                paramObj.diachi = $("#input-create-diachi").val();
                paramObj.soDienThoaiLienHe = $("#input-create-soDienThoaiLienHe").val();
            }
            function kiemtraCreateData(paramObj) {
                if (paramObj.maNhanVien == "") {
                    alert("Bạn điền mã nhanvien không hợp lệ")
                    return false;
                }
                if (paramObj.tenNhanVien == "") {
                    alert("Bạn điền tên nhân viên không hợp lệ")
                    return false;
                }
                if (paramObj.chucVu == "") {
                    alert("Bạn điền chức vụ không hợp lệ")
                    return false;
                }
                if (paramObj.gioiTinh == "") {
                    alert("Bạn điền giới tính không hợp lệ")
                    return false;
                }
                if (paramObj.ngaySinh == "") {
                    alert("Bạn điền ngày sinh không hợp lệ")
                    return false;
                }
                if (paramObj.diachi == "") {
                    alert("Bạn điền địa chỉ không hợp lệ")
                    return false;
                }
                if (paramObj.soDienThoaiLienHe == "") {
                    alert("Bạn điền số điện thoại không hợp lệ")
                    return false;
                }
                return true;
            }
            //Hàm tạo đơn mói
            function createNhanvien(paramObj) {
                var vUrlString = window.location.href; //đường đẫn gọi đến trang
                var vUrl = new URL(vUrlString);
                var vID = vUrl.searchParams.get("id");
                $.ajax({
                    url: gBASE_URL + "create/" + vID,
                    type: 'POST',
                    data: JSON.stringify(paramObj),
                    contentType: "application/json; charset=utf-8",
                    dataType: 'json',
                    success: function (paramObjnhanvien) {
                        //hiển thị dữ liệu lên web
                        console.log(paramObjnhanvien);
                        onPageLoading();
                        $("#create-nhanvien-modal").modal("hide");
                        alert("Bạn tạo thành công nhân viên");
                        $("#input-create-maNhanVien").val("");
                        $("#input-create-tenNhanVien").val("");
                        $("#input-create-chucVu").val("");
                        $("#input-create-gioiTinh").val("");
                        $("#input-create-ngaySinh").val("");
                        $("#input-create-diachi").val("");
                        $("#input-create-soDienThoaiLienHe").val("");
                    },
                    error: function (error) {
                        alert("Bạn tạo nhân viên thất bại!");
                        console.log(error.responseText)
                    }
                });
            }
            // infoFunction sẽ là function các nút cùng gọi
            function onButtonChiTietClick(paramChiTietButton) {
                //Xác định thẻ tr là cha của nút được chọn
                var vRowSelected = $(paramChiTietButton).parents('tr');
                //Lấy datatable row
                var vDatatableRow = gnhanvienTable.row(vRowSelected);
                //Lấy data của dòng 
                var vnhanvienData = vDatatableRow.data();
                gnhanvien_code.id = vnhanvienData.id;
                // lấy api để load vào modal
                getnhanvienbynhanvienID();
                $("#update-nhanvien-modal").modal("show");
            }
            function getnhanvienbynhanvienID() {
                $.ajax({
                    url: "http://localhost:8080/nhanvien/details/" + gnhanvien_code.id,
                    type: "GET",
                    dataType: 'json',
                    success: function (responseObject) {
                        //debugger;
                        loadDataToModal(responseObject);
                    },
                    error: function (error) {
                        console.assert(error.responseText);
                    }
                });
            }
            // hàm load data to modal update
            function loadDataToModal(paramResponseObject) {
                $("#input-update-maNhanVien").val(paramResponseObject.maNhanVien);
                $("#input-update-tenNhanVien").val(paramResponseObject.tenNhanVien);
                $("#input-update-chucVu").val(paramResponseObject.chucVu);
                $("#input-update-gioiTinh").val(paramResponseObject.gioiTinh);
                $("#input-update-ngaySinh").val(paramResponseObject.ngaySinh);
                $("#input-update-diachi").val(paramResponseObject.diachi);
                $("#input-update-soDienThoaiLienHe").val(paramResponseObject.soDienThoaiLienHe);
            }
            function onPageLoading() {

                //Khai báo dữ liệu
                //validate
                // lấy data từ server
                getAllnhanvienbyapi();
                // Xử lý front-end
            }

            /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình */
            function getAllnhanvienbyapi() {
                //gán dữ liệu
                var vUrlString = window.location.href; //đường đẫn gọi đến trang
                var vUrl = new URL(vUrlString);
                var vID = vUrl.searchParams.get("id");
                var vValid = kiemtraID(vID);
                if (vValid) {
                    $.ajax({
                        url: "http://localhost:8080/phongban/"+ vID +"/nhanviens",
                        type: "GET",
                        dataType: 'json',
                        success: function (responseObject) {
                            //debugger;
                            loadDataToTable(responseObject);
                        },
                        error: function (error) {
                            console.assert(error.responseText);
                            //window.location.href = "phongban.html";
                        }
                    });
                }
            }
            //hàm kiểm tra ID
            function kiemtraID(paramID) {
                if (paramID == null || paramID == "") {
                    alert("QueryString không có ID");
                   // window.location.href = "phongban.html";
                    return false;
                }
                return true;
            }
            // load data to table
            function loadDataToTable(paramResponseObject) {
                //Xóa toàn bộ dữ liệu đang có của bảng
                gnhanvienTable.clear();
                //Cập nhật data cho bảng 
                gnhanvienTable.rows.add(paramResponseObject);
                //Cập nhật lại giao diện hiển thị bảng
                gnhanvienTable.draw();
            }
            // khi bấm nút Update trên modal
            function onBtnUpdateClick() {
                console.log(gnhanvien_code.id);
                //khai báo dữ liệu
                var vObjectRequest = {
                    maNhanVien: "",
                    tenNhanVien: "",
                    chucVu: "",
                    gioiTinh: "",
                    ngaySinh: "",
                    diachi: "",
                    soDienThoaiLienHe: ""
                }
                // gán dữ liệu
                vObjectRequest.maNhanVien = $("#input-update-maNhanVien").val();
                vObjectRequest.tenNhanVien = $("#input-update-tenNhanVien").val();
                vObjectRequest.chucVu = $("#input-update-pizzachucVuType").val();
                vObjectRequest.gioiTinh = $("#input-update-gioiTinh").val();
                vObjectRequest.ngaySinh = $("#input-update-ngaySinh").val();
                vObjectRequest.diachi = $("#input-update-diachi").val();
                vObjectRequest.soDienThoaiLienHe = $("#input-update-soDienThoaiLienHe").val();
                //validate
                var validate = kiemtraCreateData(vObjectRequest);
                if (validate) {
                    //cập nhật trạng thái
                    updateNhanvien(vObjectRequest);
                }
            }
            //update nhanvien
            function updateNhanvien(paramObj) {
                $.ajax({
                    url: gBASE_URL + "update/" + gnhanvien_code.id,
                    type: "PUT",
                    data: JSON.stringify(paramObj),
                    contentType: "application/json; charset=utf-8",
                    dataType: 'json',
                    success: function (responseObject) {
                        //debugger;
                        handleUpdatetSuccess(responseObject.id);
                    },
                    error: function (error) {
                        console.assert(error.responseText);
                    }
                });
            }
            // hàm xử lý sự kiện delete nhanvien modal click
            function onBtnDeletenhanvienClick() {
                //khai báo dữ liệu
                //validate
                //gọi api
                $.ajax({
                    url: gBASE_URL + "delete/" + gnhanvien_code.id,
                    type: "DELETE",
                    contentType: "application/json; charset=utf-8",
                    success: function (paramRes) {
                        // B4: xử lý front-end
                        handleDeletenhanvienSuccess();
                    },
                    error: function (paramErr) {
                        console.log(paramErr.status);
                    }
                });
                //hiển thị thông tin
            }
            // hàm xử lý hiển thị front-end khi update Trạng thái thành công
            function handleUpdatetSuccess(paramObj) {
                onPageLoading();
                alert("Update nhân viên Id = " + paramObj + " thành công!");
                $("#update-nhanvien-modal").modal("hide");
            }
            // hàm xử lý hiển thị front-end khi sửa nhanvien thành công
            function handleDeletenhanvienSuccess() {
                onPageLoading();
                alert("Xóa nhân viên thành công!");
                $("#delete-confirm-modal").modal("hide");
            }
            function onBtnDeleteConfirmnhanvienClick(paramChiTietButton) {
                //Xác định thẻ tr là cha của nút được chọn
                var vRowSelected = $(paramChiTietButton).parents('tr');
                //Lấy datatable row
                var vDatatableRow = gnhanvienTable.row(vRowSelected);
                //Lấy data của dòng 
                var vnhanvienData = vDatatableRow.data();
                gnhanvien_code.id = vnhanvienData.id;
                // lấy api để load vào modal
                $("#delete-confirm-modal").modal("show");
            }
        });
    </script>
</body>

</html>